# Update Webhook

Updates an existing webhook configuration. The webhook will be deactivated and a new activation test will be sent.
The webhook will only become active again if the new endpoint responds successfully to the activation test.

Endpoint: PUT /api/v1/cash/webhooks/active
Version: 1.0.0
Security: ClientAuth, HMACSignature, Timestamp

## Header parameters:

  - `X-Client-Id` (string, required)
    Client API key (32-character hex)
    Example: "4a8a08f09d37b73795649038408b5f33"

  - `X-Signature` (string, required)
    HMAC-SHA256 signature generated using api_secret
    Example: "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"

  - `X-Timestamp` (string, required)
    Unix timestamp (seconds since epoch)
    Example: "1705312200"

## Request fields (application/json):

  - `id` (integer, required)
    Webhook configuration ID to update
    Example: 456

  - `endpoint_url` (string, required)
    New webhook endpoint URL
    Example: "https://new-webhook-endpoint.com/webhooks"

## Response 200 fields (application/json):

  - `event` (string)
    Event type identifier
    Enum: "webhook.updated"

  - `id` (integer)
    Webhook configuration ID
    Example: 456

  - `endpoint_url` (string)
    Updated webhook endpoint URL
    Example: "https://new-webhook-endpoint.com/webhooks"

  - `secret_token` (string)
    64-character hexadecimal secret token (unchanged)
    Example: "644530cd9b0b431e61b8c6c656d17c77481047215a3ac66db71a7ad490397f7c"

  - `updated_at` (string)
    ISO 8601 timestamp of last update
    Example: "2025-01-15T11:30:00Z"

## Response 400 fields (application/json):

  - `event` (string)
    Event type identifier
    Enum: "webhook.failed"

  - `errors` (any)
    Example: {"endpoint_url":["must be a valid URL"]}

## Response 401 fields (application/json):

  - `error` (string)
    Error message
    Example: "Unauthorized"


